package com.cpop.system.business.service;

import com.cpop.system.business.vo.LoginUserInfoVo;
import com.cpop.system.business.vo.MenuRouteVo;

import java.util.List;
import java.util.Set;

/**
 * 系统登陆
 */
public interface LoginService {

    /**
     * 获取登录用户详情
     *
     * @return 系统用户登陆信息
     */
    LoginUserInfoVo getUserInfo();

    /**
     * 获取权限码
     */
    Set<String> getPermCode();

    /**
     * @Description: 获取菜单列表
     * @return: List<SysMenuRouteVo>
     * @Author: DB
     * @Date: 2023/5/11 9:16
     **/
    List<MenuRouteVo> getSysMenuList();
}
